View Issue Details

IDProjectCategoryView StatusLast Update
0005263SOGoWeb Mailpublic2021-03-02 14:05
ReporterRiot_City Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version5.0.1 
Fixed in Version5.1.0 
Summary0005263: Buttons in appointment invitations are hard to see
Description

Hi,

appointment invitation e-mails (RVSP) show buttons to accept/decline them. But in SOGo these buttons are really hard to see. See the attached example screenshots from SOGo, Exchange Online and OpenXchange:

  • SOGo does not even have borders around the buttons, nor icons or any color
  • In Exchange Online you can at least see the buttons with borders and colored icons
  • In OpenXchange even the whole buttons are colored

I like a plain design, but this really is to much plainness ;-)

TagsNo tags attached.

Activities

Riot_City

Riot_City

2021-02-18 05:05

reporter  

ox-einladung.png (81,373 bytes)   
ox-einladung.png (81,373 bytes)   
exchange-online-einladung.png (63,640 bytes)   
exchange-online-einladung.png (63,640 bytes)   
sogo-einladung.png (86,271 bytes)   
sogo-einladung.png (86,271 bytes)   
rof

rof

2021-03-01 04:39

reporter   ~0015111

We have set the SOGoUIAdditionalJSFiles and this file contains the following CSS:
<code>var style = document.createElement('style');
style.innerHTML = button.md-button[ng-click=&quot;iCalendarAction('accept')&quot;] { background-color: rgb(99,153,151); border-radius: 1.1em; } button.md-button[ng-click=&quot;iCalendarAction('decline')&quot;] { background-color: IndianRed; border-radius: 1.1em; } button.md-button[ng-click=&quot;iCalendarAction('tentative')&quot;] { background-color: Khaki; border-radius: 1.1em; } button.md-button[ng-click=&quot;delegateInvitation = true&quot;] { background-color: LightBlue; border-radius: 1.1em; };</code>

rof

rof

2021-03-01 04:45

reporter   ~0015112

Next try as BBCode. ;)
[code]var style = document.createElement('style');
style.innerHTML = button.md-button[ng-click=&quot;iCalendarAction('accept')&quot;] { background-color: rgb(99,153,151); border-radius: 1.1em; } button.md-button[ng-click=&quot;iCalendarAction('decline')&quot;] { background-color: IndianRed; border-radius: 1.1em; } button.md-button[ng-click=&quot;iCalendarAction('tentative')&quot;] { background-color: Khaki; border-radius: 1.1em; } button.md-button[ng-click=&quot;delegateInvitation = true&quot;] { background-color: LightBlue; border-radius: 1.1em; };[/code]

Riot_City

Riot_City

2021-03-02 10:59

reporter   ~0015118

Hi,

tried your background-colors in the Firefox dev console and that is much better :) Thank you!

sogo-colors.png (38,296 bytes)   
sogo-colors.png (38,296 bytes)   

Related Changesets

sogo: master 088764a3

2021-03-02 14:01:15

francis

Details Diff
fix(mail(css)): improve visibility of buttons in invitations

Fixes 0005263
Affected Issues
0005263
mod - UI/Templates/MailPartViewers/UIxMailPartICalViewer.wox Diff File

Issue History

Date Modified Username Field Change
2021-02-18 05:05 Riot_City New Issue
2021-02-18 05:05 Riot_City File Added: ox-einladung.png
2021-02-18 05:05 Riot_City File Added: exchange-online-einladung.png
2021-02-18 05:05 Riot_City File Added: sogo-einladung.png
2021-03-01 04:39 rof Note Added: 0015111
2021-03-01 04:45 rof Note Added: 0015112
2021-03-02 10:59 Riot_City Note Added: 0015118
2021-03-02 10:59 Riot_City File Added: sogo-colors.png
2021-03-02 14:04 francis Changeset attached => sogo master 088764a3
2021-03-02 14:04 francis Assigned To => francis
2021-03-02 14:04 francis Resolution open => fixed
2021-03-02 14:05 francis Status new => resolved
2021-03-02 14:05 francis Fixed in Version => 5.1.0